File: changelog

package info (click to toggle)
pencil2d 0.6.4-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye
  • size: 12,056 kB
  • sloc: cpp: 44,845; python: 67; sh: 62; xml: 23; makefile: 8
file content (351 lines) | stat: -rw-r--r-- 13,887 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
pencil2d (0.6.4-2) unstable; urgency=medium

  * Upload to unstable.
  * d/control: Bump Standards-Version to 4.4.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 06 Aug 2019 19:21:27 +0200

pencil2d (0.6.4-1) experimental; urgency=medium

  * New upstream version 0.6.4.
  * Drop the post-release-doc-update patch, now that upstream updates the
    relevant doc before the release.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 07 Jun 2019 22:37:04 +0200

pencil2d (0.6.3-1) experimental; urgency=medium

  * New upstream version 0.6.3.
  * d/control:
    + Bump debhelper compat version to 12.
    + Bump Standards-Version to 4.3.0, no changes needed.
  * d/copyright: Bump copyright year for debian/*.
  * Refresh patch updating the doc, with the info released after 0.9.3.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 20 Mar 2019 18:52:28 +0100

pencil2d (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2.
  * d/copyright: Update.
  * Bump Standards-Version to 4.2.1, no changes needed.
  * Use the new debhelper-compat(=11) notation and drop d/compat.
  * Add patch to update the upstream changelog.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 28 Sep 2018 13:03:17 +0200

pencil2d (0.6.1.1-1) unstable; urgency=medium

  * New upstream version 0.6.1.1.
  * d/p/0001-Install-the-icon-in-the-right-path.patch: drop, applied upstream.
  * d/README.source: Drop, we're not packing from upstream git anymore.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 16 Apr 2018 11:21:25 +0200

pencil2d (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1.
  * d/copyright:
    + Drop Files-Excluded field, nothing to remove anymore.
    + Update.
  * d/watch: Don't force a repack anymore.
  * Bump debhelper compat level to 11.
  * d/control:
    + Bump Standards-Version to 4.1.4, no changes needed.
    + Update Vcs-* field for the move to salsa.debian.org.
  * d/pencil2d.{install,links}: stop installing files that are now correctly
    dealt by the upstream build system.
  * d/patches:
    + remove-zlib.patch: drop, obsoleted by upstream.
    + 0001-Install-the-icon-….patch: add to install the icon in the right path.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 15 Apr 2018 15:13:14 +0200

pencil2d (0.6.0+ds-1) unstable; urgency=medium

  * New upstream version 0.6.0+ds.
  * d/copyright: fix typo s/File/Files/.
  * Add a watch file.
  * d/rules:
    + Now that we're switching to tarballs, remove the get-orig-source target.
    + Released tarballs don't need all those flags to show the built hash.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 30 Nov 2017 11:46:15 +0100

pencil2d (0.5.4+git20171114.e9aeb1a+ds-1) unstable; urgency=medium

  * New upstream version 0.5.4+git20171114.e9aeb1a+ds.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 14 Nov 2017 14:36:29 +0100

pencil2d (0.5.4+git20171111.d405d57+ds-1) unstable; urgency=medium

  * New upstream version 0.5.4+git20171111.d405d57+ds.
  * Link upstream bug in the remove zlib patch.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 12 Nov 2017 13:08:49 +0100

pencil2d (0.5.4+git20171107.7e7aff7+ds-1) unstable; urgency=medium

  * New upstream version 0.5.4+git20171107.7e7aff7+ds.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 07 Nov 2017 09:36:13 +0100

pencil2d (0.5.4+git20171029.33f202d+ds-1) unstable; urgency=medium

  * New upstream version 0.5.4+git20171029.33f202d+ds.
  * d/control:
    + Bump Standards-Version to 4.1.1, no changes needed.
    + Declare that pencil2d can be built without root: R³:no.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 29 Oct 2017 12:45:07 +0100

pencil2d (0.5.4+git20170831.600470f+ds-1) unstable; urgency=medium

  * New upstream version 0.5.4+git20170831.600470f+ds.
  * d/rules: use $(DEB_VENDOR) coming from /usr/share/dpkg/vendor.mk instead
    of shelling out to dpkg-vendor directly.
  * d/control: bump Standards-Version to 4.1.0.
    + Change priority from extra to optional.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 06 Sep 2017 21:00:53 +0200

pencil2d (0.5.4+git20170804.6bf3319+ds-1) unstable; urgency=medium

  * New upstream version 0.5.4+git20170804.6bf3319+ds.
  * d/rules:
    + stop excluding util/ from the tarball, now its content is dfsg-free.
    + perform a shallow clone of the upstream repository in get-orig-source.
  * d/copyright: update.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 05 Aug 2017 14:49:03 +0200

pencil2d (0.5.4+git20170623.11f8cf0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.5.4+git20170623.11f8cf0+dfsg.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * d/rules: use /usr/share/dpkg/pkg-info.mk instead of calling
    dpkg-parsechangelog, to appease lintian.
  * Install the icon and the .desktop as provided by upstream.
    + /usr/bin/pencil2d is now a symlink to /usr/bin/Pencil2D.
    + Drop build dependency on dh-exec, now unused.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 23 Jun 2017 08:29:53 +0200

pencil2d (0.5.4+git20170514.6d15d64+dfsg-1) unstable; urgency=medium

  * New upstream version 0.5.4+git20170514.6d15d64+dfsg.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 15 May 2017 12:44:41 +0200

pencil2d (0.5.4+git20170419.616acfc+dfsg-1) unstable; urgency=medium

  * New upstream version 0.5.4+git20170419.616acfc+dfsg.
  * Update install path.
  * Set variables so that upstream commit hash and date are available in the
    about window.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 19 Apr 2017 02:12:48 +0200

pencil2d (0.5.4+git20170323.ec4712d+dfsg-1) unstable; urgency=medium

  * New upstream version 0.5.4+git20170323.ec4712d+dfsg.
  * Claim debian/* copyright for 2017.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 23 Mar 2017 00:31:49 +0100

pencil2d (0.5.4+git20170307.c5d8817+dfsg-1) unstable; urgency=medium

  * New upstream version 0.5.4+git20170307.c5d8817+dfsg.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 09 Mar 2017 12:51:06 +0100

pencil2d (0.5.4~git20161126.963f87c+dfsg-1) unstable; urgency=medium

  * New upstream version 0.5.4~git20161126.963f87c+dfsg.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 24 Dec 2016 18:17:25 +0100

pencil2d (0.5.4~git20161108.53096f9+dfsg-1) unstable; urgency=medium

  * New upstream version 0.5.4~git20161108.53096f9+dfsg.
  * d/control: Update Build-Depends:
    + drop gdb, libphonon-dev, libpng++-dev.
    + swap qttols5-dev-tools with qtbase5-dev.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 Nov 2016 07:33:44 +0000

pencil2d (0.5.4~git20161017.66bf585+dfsg-1) unstable; urgency=medium

  * New upstream version 0.5.4~git20161017.66bf585+dfsg.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 17 Oct 2016 15:56:33 +0000

pencil2d (0.5.4~git20160910.8850389+dfsg-1) unstable; urgency=medium

  * New upstream version 0.5.4~git20160910.8850389+dfsg.
  * Bump debhelper compat level to 10.
    Drop explicit --parallel option, now default.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 11 Sep 2016 17:05:03 +0000

pencil2d (0.5.4~git20160902.50c5ddb+dfsg-1) unstable; urgency=medium

  * New upstream version 0.5.4~git20160902.50c5ddb+dfsg.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 02 Sep 2016 13:17:12 +0000

pencil2d (0.5.4~git20160628.594f2e8+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.5.4~git20160628.594f2e8+dfsg.
  * debian/patches:
    + 002_translation.patch: drop, upstream fixed translation loading for good.
    + remove-zlib.patch: refresh.
  * d/pencil2d.install: update path for new languages location.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 03 Jul 2016 15:42:46 +0000

pencil2d (0.5.4~git20160529.bb3b856+dfsg-1) unstable; urgency=medium

  * [040ee1f] Imported Upstream version 0.5.4~git20160529.bb3b856+dfsg.
  * debian/patches:
    + [b4c203d] deterministic-build: drop, now GCC deals with SOURCE_DATE_EPOCH.
    + [2602f00] quazip.patch: drop, applied upstream.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 29 May 2016 13:44:53 +0000

pencil2d (0.5.4~git20160325.a49b3de+dfsg-2) unstable; urgency=medium

  * [b8e2cf7] debian/control: remove unused Build-Dependency on libming-dev.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 23 Apr 2016 13:28:19 +0000

pencil2d (0.5.4~git20160325.a49b3de+dfsg-1) unstable; urgency=medium

  * [d2604be] Imported Upstream version 0.5.4~git20160325.a49b3de+dfsg.
  * [601f0fd] debian/control: Bump Standards-Version to 3.9.8.
  * [b5d3a6a] debian/copyright: update.
  * [66bb8dc] debian/patches/quazip.patch: mark as forwarded.
  * [6fd2d03] debian/gbp.conf: add.
  * [939cc83] debian/watch: remove empty nop watch file.
  * [ef5138e] d/source/lintian-overrides: override debian-watch-file-is-missing.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 23 Apr 2016 01:36:14 +0000

pencil2d (0.5.4~git20160219.9d29f33+dfsg-1) unstable; urgency=medium

  * [1b3f3a4] Imported Upstream version 0.5.4~git20160219.9d29f33+dfsg
  * [a5ce38e] debian/patches/fix_crash: remove, applied upstream.
  * debian/control:
    + [d2c8520] Bump Standards-Version to 3.9.7, no changes needed.
    + [80234b5] Use HTTPS in Vcs-Git.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 29 Feb 2016 21:58:43 +0000

pencil2d (0.5.4~git20151222.bae2e27+dfsg-1) unstable; urgency=medium

  * [215a1ba] Imported Upstream version 0.5.4~git20151124.b03051c+dfsg.
  * [a3b16c7] Imported Upstream version 0.5.4~git20151222.bae2e27+dfsg.
  * [b58700c,87604e9] debian/patches: refresh patches.
  * [ef6394e] debian/patches/fix_crash: add patch to avoid crash on startup.
  * [fc0bf3d] debian/{control,copyright}: use my @debian.org email address.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 31 Dec 2015 17:31:57 +0000

pencil2d (0.5.4~git20151116.d15eafe+dfsg-1) unstable; urgency=medium

  * [6b53860] Imported Upstream version 0.5.4~git20151116.d15eafe+dfsg.
  * [bd50cf3] debian/control: use the cgit web frontend in Vcs-Browser.

 -- Mattia Rizzolo <mattia@mapreri.org>  Mon, 16 Nov 2015 15:57:59 +0000

pencil2d (0.5.4~git20150701.adaa72b+dfsg-2) unstable; urgency=medium

  * [a4575cc] debian/control: drop git from build-depends.

 -- Mattia Rizzolo <mattia@mapreri.org>  Fri, 17 Jul 2015 19:44:40 +0000

pencil2d (0.5.4~git20150701.adaa72b+dfsg-1) unstable; urgency=medium

  * [d9452e7] Imported Upstream version 0.5.4~git20150701.adaa72b+dfsg.
  * [7f199a9] debian/README.source: update and greatly semplify.
  * debian/patches:
    + [57f60d4] ftbfs-on-not-linux: dropped, included upstream.
    + [dcb5c49] remove-zlib: refresh.
  * [835eae2] use dh-exec to install files
    + debian/control: add Build-Depends on dh-exec
    + debian/pencil2d.dirs: drop, not needed (anymore)
    + debian/pencil2d.install: convert to dh-exec format, also add some files
      previously installed via debian/rules
    + debian/rules: drop the override_dh_install target

 -- Mattia Rizzolo <mattia@mapreri.org>  Mon, 06 Jul 2015 21:35:36 +0000

pencil2d (0.5.4~git20150223.f75630e+dfsg-1) unstable; urgency=low

  * [239a8de] Imported Upstream version 0.5.4~git20150223.f75630e+dfsg.
  * [5adf702,fe23767] debian/patches/ftbfs-on-not-linux: add fix ftbfs on
    kfreebds-* and hurd-*.
  * [061ffcb] debian/control: add depends on ffmpeg.

 -- Mattia Rizzolo <mattia@mapreri.org>  Sun, 01 Mar 2015 09:34:02 +0100

pencil2d (0.5.4~git20141224.2630deb+dfsg-1) unstable; urgency=low

  * [1d6f3c9] Imported Upstream commit 0.5.4~git20141224.2630deb+dfsg.
  * [d259028] Refresh patches.
  * [194b330] debian/pencil2d.1 document the file option.
  * [6a9bb4a] debian/pencil2d.desktop: add %f to the Exec line (fix the
    desktop-mime-but-no-exec-code lintian warning).
  * [2d9aa61] debian/patches/deterministic-build: add to let the package be
    built reproducibily.

 -- Mattia Rizzolo <mattia@mapreri.org>  Wed, 31 Dec 2014 17:03:49 +0100

pencil2d (0.5.4~git20141029.21a350e+dfsg-1) unstable; urgency=low

  * [3542c83] Imported Upstream commit 0.5.4~git20141029.21a350e+dfsg.
  * debian/control:
    + [80150f7] demote pencil2d to Priority: extra.
      pencil2d depends on qt5-* stuff, which are Priority: extra. According to
      the policy a package must not depend on package with lower priority.
    + [4e0d0e5] Build-depend on git, to use git in the get-orig-source target.
    + [1ab07d5] bump Standard-Version to 3.9.6. No changes needed.
  * [7963ebc] upstream drop the Help directory and the unsourced PDF:
    * debian/README.source: update.
    * debian/rules: update the get-orig-source target.
  * [b03a6bc] debian/copyright: add Files-Excluded field.
  * debian/rules:
    + [e4b0002] update get-orig-source target to use the commit id.
    + [74b50b5] uses parallel building (Closes: #755941).
  * [904970e] debian/patches/*: refresh patches against new upstream release.
  * [55edb01] fix build-depends-on-metapackage lintian error:
    + debian/control: drop build-dep on qt5-default
    + debian/rules: export QT_SELECT=qt5

 -- Mattia Rizzolo <mattia@mapreri.org>  Sat, 08 Nov 2014 22:46:25 +0100

pencil2d (0.5.4~git20140614+dfsg-1) unstable; urgency=medium

  * [aaab030] New upstream commit
  * [7885c3f] patches:
    + [91d19da] 001_remove-patch: drop, upstream changed the bottom to a
      link to the online docs
    + 002_translation.patch: refresh.
    + ftbfs.patch: remove, not needed anymore.
    + [0c45972,7d850e8] remove-zlib.patch: add to remove bundled zlib library.
    + [57e070f] quazip.patch: add to avoid installing quazip headers.
  * debian/rules:
    + [fdf478d] use bzip2 to compress the tarball.
    + [f3da78d] upstream changed the binary name, update accordingly.
    + [d443282] add hardening flags.
  * [907ffc8] debian/pencil2d.install: add pencil2d_cs.qm (Czech translation).
  * [3c026d7] debian/copyright: update.

 -- Mattia Rizzolo <mattia@mapreri.org>  Tue, 10 Jun 2014 13:40:46 +0200

pencil2d (0.5.4~git20140416+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #737154).

 -- Mattia Rizzolo <mattia@mapreri.org>  Tue, 22 Apr 2014 23:59:18 +0200